JUCE: RelativeParallelogram Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
RelativeParallelogram Class Reference
juce_gui_basics » positioning

A parallelogram defined by three RelativePoint positions. More...

`#include <juce_RelativeParallelogram.h>`

## Public Member Functions
| RelativeParallelogram ()
| RelativeParallelogram (const Rectangle< float > &simpleRectangle)
| RelativeParallelogram (const RelativePoint &topLeft, const RelativePoint &topRight, const RelativePoint &bottomLeft)
| RelativeParallelogram (const String &topLeft, const String &topRight, const String &bottomLeft)
| ~RelativeParallelogram ()
void | resolveThreePoints (Point< float > *points, Expression::Scope *scope) const
void | resolveFourCorners (Point< float > *points, Expression::Scope *scope) const
const Rectangle< float > | getBounds (Expression::Scope *scope) const
void | getPath (Path &path, Expression::Scope *scope) const
AffineTransform | resetToPerpendicular (Expression::Scope *scope)
bool | isDynamic () const
bool | operator== (const RelativeParallelogram &) const noexcept
bool | operator!= (const RelativeParallelogram &) const noexcept

## Static Public Member Functions
static Point< float > | getInternalCoordForPoint (const Point< float > *parallelogramCorners, Point< float > point) noexcept
static Point< float > | getPointForInternalCoord (const Point< float > *parallelogramCorners, Point< float > internalPoint) noexcept
static Rectangle< float > | getBoundingBox (const Point< float > *parallelogramCorners) noexcept

## Public Attributes
RelativePoint | topLeft
RelativePoint | topRight
RelativePoint | bottomLeft

## Detailed Description

A parallelogram defined by three RelativePoint positions.

See also
  RelativePoint, RelativeCoordinate

## Constructor & Destructor Documentation

## ◆ RelativeParallelogram() [1/4]

RelativeParallelogram::RelativeParallelogram | ( |  | ) |

## ◆ RelativeParallelogram() [2/4]

RelativeParallelogram::RelativeParallelogram | ( | const Rectangle< float > & | simpleRectangle | ) |

## ◆ RelativeParallelogram() [3/4]

RelativeParallelogram::RelativeParallelogram | ( | const RelativePoint & | topLeft,
|  | const RelativePoint & | topRight,
|  | const RelativePoint & | bottomLeft
| ) |  |

## ◆ RelativeParallelogram() [4/4]

RelativeParallelogram::RelativeParallelogram | ( | const String & | topLeft,
|  | const String & | topRight,
|  | const String & | bottomLeft
| ) |  |

## ◆ ~RelativeParallelogram()

RelativeParallelogram::~RelativeParallelogram | ( |  | ) |

## Member Function Documentation

## ◆ resolveThreePoints()

void RelativeParallelogram::resolveThreePoints | ( | Point< float > * | points,
|  | Expression::Scope * | scope
| ) |  | const

## ◆ resolveFourCorners()

void RelativeParallelogram::resolveFourCorners | ( | Point< float > * | points,
|  | Expression::Scope * | scope
| ) |  | const

## ◆ getBounds()

const Rectangle< float > RelativeParallelogram::getBounds | ( | Expression::Scope * | scope | ) | const

## ◆ getPath()

void RelativeParallelogram::getPath | ( | Path & | path,
|  | Expression::Scope * | scope
| ) |  | const

## ◆ resetToPerpendicular()

AffineTransform RelativeParallelogram::resetToPerpendicular | ( | Expression::Scope * | scope | ) |

## ◆ isDynamic()

bool RelativeParallelogram::isDynamic | ( |  | ) | const

## ◆ operator==()

bool RelativeParallelogram::operator== | ( | const RelativeParallelogram & |  | ) | const
| noexcept

## ◆ operator!=()

bool RelativeParallelogram::operator!= | ( | const RelativeParallelogram & |  | ) | const
| noexcept

## ◆ getInternalCoordForPoint()

static Point< float > RelativeParallelogram::getInternalCoordForPoint | ( | const Point< float > * | parallelogramCorners,
|  | Point< float > | point
| ) |  |
| staticnoexcept

## ◆ getPointForInternalCoord()

static Point< float > RelativeParallelogram::getPointForInternalCoord | ( | const Point< float > * | parallelogramCorners,
|  | Point< float > | internalPoint
| ) |  |
| staticnoexcept

## ◆ getBoundingBox()

static Rectangle< float > RelativeParallelogram::getBoundingBox | ( | const Point< float > * | parallelogramCorners | ) |
| staticnoexcept

## Member Data Documentation

## ◆ topLeft

RelativePoint RelativeParallelogram::topLeft

## ◆ topRight

RelativePoint RelativeParallelogram::topRight

## ◆ bottomLeft

RelativePoint RelativeParallelogram::bottomLeft

The documentation for this class was generated from the following file:

- juce_RelativeParallelogram.h